#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream f1; f1.open("DOINP.INP");
	int n,a[10000];
	f1>>n;
	int i=-1;
	while(n!=0)
	{
		i=i+1;
		a[i]=n%2;
		n=n/2;
	}
	f1.close();
	ofstream f2; f2.open("doinp.out");
	for(int b=i;b>=0;b--)
	f2<<a[b];
	f2.close();
}
	
